

#ifndef SPECTRAL_H
#define SPECTRAL_H

#include "includes.h"


#define NOMINALCRT



class Spectral{

 public:

  static const float CIE_x_r;
  static const float CIE_y_r;

  static const float CIE_x_g;
  static const float CIE_y_g;

  static const float CIE_x_b;
  static const float CIE_y_b;

  static const float CIE_x_w;
  static const float CIE_y_w;

  
  static const float CIE_D;
  static const float CIE_C_rD;
  static const float CIE_C_gD;
  static const float CIE_C_bD;
  
  static const float CIE_rf;
  static const float CIE_gf;
  static const float CIE_bf;

  static const float xyz2rgb_m[3][3];  
  static const float rgb2xyz_m[3][3];

  static float* rgb2xyz(const ImageRGBPixel &p);
  static unsigned char* xyz2rgb(const float *p);
  static float get_y(const ImageRGBPixel& p);
  static ImageRGBPixel modif_y(const ImageRGBPixel& p,float y);
  static ImageRGBPixel normalize(const ImageRGBPixel p);

};

#endif
