#ifndef GRAPH_H
#define GRAPH_H

#include "includes.h"
#include "fonct.h"


class graph : public Fl_Gl_Window{

 private:

 protected:

  double _step;

  vector<GLfloat> v_r,v_v,v_b;
  vector<char> v_h_f;
  vector<fonct*> v_f;

  GLfloat _r,_v,_b;
  char _h_f;
  fonct* _f;

 void dessiner(const fonct &f);
 void dessiner_deriv_debut(const fonct &f,vector<double> &vd,double &max);
 void dessiner_deriv_fin(vector<double> &v,double max);

  void dessiner_deriv(const fonct &f);
  //void dessiner_histo(const fonct &f);

  //void draw(fonct *f,GLfloat r,GLfloat v,GLfloat b,char h_f);

 public:
  
  //graph(fonct &f1,fonct &f2,int x = 0,int y = 0,int w = 0,int h = 0,const char *l=0);

  graph(int x = 0,int y = 0,int w = 0,int h = 0,char h_f = 'h',GLfloat r = 0,GLfloat v = 0,GLfloat b = 0,fonct *f = NULL,const char *l=0);

  void init(fonct *f = NULL,GLfloat r = -1,GLfloat v = -1,GLfloat b = -1,char h_f = '0');
  void init_color(GLfloat r = 0,GLfloat v = 0,GLfloat b = 0);

  void push(fonct *f,GLfloat r = -1,GLfloat v = -1,GLfloat b = -1,char h_f = '0');

  //void init_steps(float steps);

  //int handle(int event);
  //void redraw();
  void draw();
  void resize(int x, int y, int ww, int hh);
};

#endif

