#ifndef _TUNNEL_OTHERS_SYSTEMFUNCS_H_
#define _TUNNEL_OTHERS_SYSTEMFUNCS_H_

#include "others/includes.h"

extern char* getFilter(char*);

extern void goThroughBlankChar(ifstream& in);

extern void dumpPath(char** dir);

extern int findNextDirectorySeparator(char* dir,int id);

extern char** splitDirectories(char* dir);

extern char** getAbsoluteDirectory(char* dir);

extern void freeSplittedDirectories(char**);

extern char* concatSplittedDirectories(char**);

extern void getFilenameIndexes(const char*,int&,int&);

extern int existFile(const char*);

extern int existDirectory(const char*);

#endif
