#ifndef _TUNNEL_RADIOSITE_KERNEL_H_
#define _TUNNEL_RADIOSITE_KERNEL_H_

#include "others/includes.h"
#include "radiosite/Structures.h"

#include "radiosite/Patch.h"
#include "radiosite/Surface.h"

void area_related(Point3 *A,Point3 *B,Point3 *D,Point3 *C,double *a);
double differential_area(Point3 *A,Point3 *B,Point3 *C,Point3 *D,double u_b,double v_b);
double delta_A(Point3 *A,Point3 *B,Point3 *D,Point3 *C,double u_b,double v_b);
double patch_area(Point3 *P1,Point3 *P2,Point3 *P3,Point3 *P4);
void quadrilateral_point(Point3 *A, Point3 *B, Point3 *C, Point3 *D,double u,double v, Point3 *p);
double eval_kernel(int Vis, Surface *slist,Patch *a,double u_a,double v_a,Patch *b,double u_b,double v_b,int *shadow_flag);

#endif
