#ifndef _TUNNEL_RADIOSITE_LUMIN_H_
#define _TUNNEL_RADIOSITE_LUMIN_H_

#include "others/includes.h"
#include "radiosite/Structures.h"

#include "radiosite/Patch.h"
#include "radiosite/Luminaire.h"

double get_Ld(Luminaire *luminaire, double thetaa, double psii, double Area);
double get_rad(int k, Patch *b, Point3 *x, double Area);
double Jacobien (Patch *a, double s, double t);
double eval_rad(int k, Patch *a,  Patch *b, double s, double t,  double Area);
double rebuild(int M, double *B,int i, int j);

#endif
