#ifndef _TUNNEL_RADIOSITE_ORACLE_H_
#define _TUNNEL_RADIOSITE_ORACLE_H_

#include "others/includes.h"
#include "radiosite/Structures.h"

#include "radiosite/Patch.h"
#include "radiosite/Surface.h"

double Polint(int M,double *x,double *y,double u);
double approx_kernel(int M,double *x, double *K, double u, double v,double s, double t);
void compute_kernels(int vis,Surface *slist,int M,Patch *a, Patch *b,double *kernel);
void compute_kernels2(int M,Patch *a, Patch *b,double *kernel,double Area_Threshold,double *kernel2);
int emitter(Patch *a);
int recept(Patch *a);
double oracle(int vis,Surface *slist,int M,Patch *a,Patch *b,double *kernel,double Area_Threshold,int *new_vis);
double oracle_lum(int vis,Surface *slist,int M,Patch *a,Patch *b,double *kernel,double Area_Threshold,double Area_Threshold_sources);

#endif
