#ifndef _TUNNEL_RADIOSITE_SPECTRE_H_
#define _TUNNEL_RADIOSITE_SPECTRE_H_

#include "others/includes.h"
#include "radiosite/Structures.h"

#define MAX_SPECSIZE 80

#define WLMAX 780
#define WLMIN 380

#define	GAMMA 1.0/2.3

void reechantillonnerSpectre(double* S,double* SpectreOut);

void XYZtoRGB(double X, double Y, double Z, double *R, double *V, double *B);
void SPECTRUMtoRGB(double* S, double *R, double *V, double *B);
void SPECTRUMtoRADIANCE(double* S, double *L1);

void correctionGamma(double *r,double *v,double *b);

void SPECTRUMtoCorrectedRGB(double* S, double *r, double *g, double *b);

#endif
