#ifndef _TUNNEL_RADIOSITE_VISIBILITY_H_
#define _TUNNEL_RADIOSITE_VISIBILITY_H_

#include "others/includes.h"
#include "radiosite/Structures.h"

#include "radiosite/Surface.h"
#include "radiosite/Patch.h"

#define positive(n) (n== 1)
#define negative(n) (n==-1)

int whichside_point_plane(Point3 *p,Patch *b);
int whichside_polygon_plane(Patch *a,Patch *b);
int under_shadow(Surface *slist,Patch *a,Point3 *start,Patch *b,Point3 *end);
int under_shadow2(Surface *slist,Patch *a,Point3 *start,Patch *b,Point3 *end);
int complex_visibility_test(Surface *slist,Patch *a,Patch *b);
int complex_visibility_test2(Surface *slist,Patch *a,Patch *b);
int visibility(Surface *slist,Patch *a,Patch *b);

#endif
