#ifndef _TUNNEL_RECHERCHE_RECHERCHE_H_
#define _TUNNEL_RECHERCHE_RECHERCHE_H_

#include "others/includes.h"
#include "radiosite/Structures.h"

#include "data/LightSource.h"
#include "data/MaterialReflectanceSpectrum.h"

#include "recherche/Globals.h"

void rechercheSolutions( sTunnelParameters& tp,
			 sIlluminationParameters& sp,
			int nbconfigmax,
			 sRequiredRadianceCurve& rrc,
			cList< sLightSource* >& ls,
			cList< sMaterialReflectanceSpectrum* >& lf,
			cList< sMaterialReflectanceSpectrum* >& lw,
			cList< sMaterialReflectanceSpectrum* >& lr);

#endif
