<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="file">
    <name>BinaryCoding.h</name>
    <path>/arch_dd/eguillou/Devl/Libs/Camera/Camera/</path>
    <filename>BinaryCoding_8h</filename>
    <includes id="includes_8h" name="includes.h" local="yes">Camera/includes.h</includes>
    <includes id="CameraGenerique_8h" name="CameraGenerique.h" local="yes">Camera/CameraGenerique.h</includes>
    <includes id="CameraOrthographique_8h" name="CameraOrthographique.h" local="yes">Camera/CameraOrthographique.h</includes>
    <includes id="CameraPerspective_8h" name="CameraPerspective.h" local="yes">Camera/CameraPerspective.h</includes>
    <class kind="class">BinaryCoding&lt; CameraGenerique &gt;</class>
    <class kind="class">BinaryCoding&lt; CameraOrthographique &gt;</class>
    <class kind="class">BinaryCoding&lt; CameraPerspective &gt;</class>
  </compound>
  <compound kind="file">
    <name>CameraFile.h</name>
    <path>/arch_dd/eguillou/Devl/Libs/Camera/Camera/</path>
    <filename>CameraFile_8h</filename>
    <includes id="includes_8h" name="includes.h" local="yes">Camera/includes.h</includes>
    <includes id="CameraGenerique_8h" name="CameraGenerique.h" local="yes">Camera/CameraGenerique.h</includes>
    <includes id="CameraOrthographique_8h" name="CameraOrthographique.h" local="yes">Camera/CameraOrthographique.h</includes>
    <includes id="CameraPerspective_8h" name="CameraPerspective.h" local="yes">Camera/CameraPerspective.h</includes>
    <class kind="class">CameraFile</class>
    <class kind="class">CameraFileInput</class>
    <class kind="class">CameraFileOutput</class>
    <member kind="function">
      <type>CameraFileInput &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchor>a0</anchor>
      <arglist>(CameraFileInput &amp;in, CameraGenerique &amp;cam)</arglist>
    </member>
    <member kind="function">
      <type>CameraFileInput &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchor>a1</anchor>
      <arglist>(CameraFileInput &amp;in, CameraOrthographique &amp;cam)</arglist>
    </member>
    <member kind="function">
      <type>CameraFileInput &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchor>a2</anchor>
      <arglist>(CameraFileInput &amp;in, CameraPerspective &amp;cam)</arglist>
    </member>
    <member kind="function">
      <type>CameraFileOutput &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>a3</anchor>
      <arglist>(CameraFileOutput &amp;out, CameraGenerique &amp;cam)</arglist>
    </member>
    <member kind="function">
      <type>CameraFileOutput &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>a4</anchor>
      <arglist>(CameraFileOutput &amp;out, CameraOrthographique &amp;cam)</arglist>
    </member>
    <member kind="function">
      <type>CameraFileOutput &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>a5</anchor>
      <arglist>(CameraFileOutput &amp;out, CameraPerspective &amp;cam)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>CameraGenerique.h</name>
    <path>/arch_dd/eguillou/Devl/Libs/Camera/Camera/</path>
    <filename>CameraGenerique_8h</filename>
    <includes id="includes_8h" name="includes.h" local="yes">Camera/includes.h</includes>
    <class kind="class">CameraGenerique</class>
  </compound>
  <compound kind="file">
    <name>CameraOrthographique.h</name>
    <path>/arch_dd/eguillou/Devl/Libs/Camera/Camera/</path>
    <filename>CameraOrthographique_8h</filename>
    <includes id="includes_8h" name="includes.h" local="yes">Camera/includes.h</includes>
    <includes id="CameraGenerique_8h" name="CameraGenerique.h" local="yes">Camera/CameraGenerique.h</includes>
    <class kind="class">CameraOrthographique</class>
  </compound>
  <compound kind="file">
    <name>CameraPerspective.h</name>
    <path>/arch_dd/eguillou/Devl/Libs/Camera/Camera/</path>
    <filename>CameraPerspective_8h</filename>
    <includes id="includes_8h" name="includes.h" local="yes">Camera/includes.h</includes>
    <includes id="CameraGenerique_8h" name="CameraGenerique.h" local="yes">Camera/CameraGenerique.h</includes>
    <class kind="class">CameraPerspective</class>
  </compound>
  <compound kind="file">
    <name>includes.h</name>
    <path>/arch_dd/eguillou/Devl/Libs/Camera/Camera/</path>
    <filename>includes_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>CAMERAERROR</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned char</type>
      <name>byte</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Camera_Types</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CAMERA_GENERIQUE</name>
      <anchor>a5a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CAMERA_ORTHOGRAPHIQUE</name>
      <anchor>a5a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CAMERA_PERSPECTIVE</name>
      <anchor>a5a4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>serialiser.h</name>
    <path>/arch_dd/eguillou/Devl/Libs/Camera/Camera/</path>
    <filename>serialiser_8h</filename>
    <includes id="includes_8h" name="includes.h" local="yes">Camera/includes.h</includes>
    <includes id="CameraGenerique_8h" name="CameraGenerique.h" local="yes">Camera/CameraGenerique.h</includes>
    <includes id="CameraOrthographique_8h" name="CameraOrthographique.h" local="yes">Camera/CameraOrthographique.h</includes>
    <includes id="CameraPerspective_8h" name="CameraPerspective.h" local="yes">Camera/CameraPerspective.h</includes>
    <member kind="function">
      <type>void</type>
      <name>serialize</name>
      <anchor>a0</anchor>
      <arglist>(ostream &amp;output, CameraGenerique &amp;cam, int binary=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>serialize</name>
      <anchor>a1</anchor>
      <arglist>(ostream &amp;output, CameraOrthographique &amp;cam, int binary=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>serialize</name>
      <anchor>a2</anchor>
      <arglist>(ostream &amp;output, CameraPerspective &amp;cam, int binary=0)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>unserialiser.h</name>
    <path>/arch_dd/eguillou/Devl/Libs/Camera/Camera/</path>
    <filename>unserialiser_8h</filename>
    <includes id="includes_8h" name="includes.h" local="yes">Camera/includes.h</includes>
    <includes id="CameraGenerique_8h" name="CameraGenerique.h" local="yes">Camera/CameraGenerique.h</includes>
    <includes id="CameraOrthographique_8h" name="CameraOrthographique.h" local="yes">Camera/CameraOrthographique.h</includes>
    <includes id="CameraPerspective_8h" name="CameraPerspective.h" local="yes">Camera/CameraPerspective.h</includes>
    <member kind="function">
      <type>void</type>
      <name>unserialize</name>
      <anchor>a0</anchor>
      <arglist>(istream &amp;input, CameraGenerique &amp;cam, int binary=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unserialize</name>
      <anchor>a1</anchor>
      <arglist>(istream &amp;input, CameraOrthographique &amp;cam, int binary=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unserialize</name>
      <anchor>a2</anchor>
      <arglist>(istream &amp;input, CameraPerspective &amp;cam, int binary=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>BinaryCoding&lt; CameraGenerique &gt;</name>
    <filename>classBinaryCoding_3_01CameraGenerique_01_4.html</filename>
    <member kind="function" static="yes">
      <type>void</type>
      <name>encode</name>
      <anchor>d0</anchor>
      <arglist>(unsigned char *array, long &amp;index, CameraGenerique &amp;value)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>decode</name>
      <anchor>d1</anchor>
      <arglist>(unsigned char *array, long &amp;index, CameraGenerique &amp;value)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>int</type>
      <name>codingSize</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>BinaryCoding&lt; CameraOrthographique &gt;</name>
    <filename>classBinaryCoding_3_01CameraOrthographique_01_4.html</filename>
    <member kind="function" static="yes">
      <type>void</type>
      <name>encode</name>
      <anchor>d0</anchor>
      <arglist>(unsigned char *array, long &amp;index, CameraOrthographique &amp;value)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>decode</name>
      <anchor>d1</anchor>
      <arglist>(unsigned char *array, long &amp;index, CameraOrthographique &amp;value)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>int</type>
      <name>codingSize</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>BinaryCoding&lt; CameraPerspective &gt;</name>
    <filename>classBinaryCoding_3_01CameraPerspective_01_4.html</filename>
    <member kind="function" static="yes">
      <type>void</type>
      <name>encode</name>
      <anchor>d0</anchor>
      <arglist>(unsigned char *array, long &amp;index, CameraPerspective &amp;value)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>decode</name>
      <anchor>d1</anchor>
      <arglist>(unsigned char *array, long &amp;index, CameraPerspective &amp;value)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>int</type>
      <name>codingSize</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CameraFile</name>
    <filename>classCameraFile.html</filename>
    <member kind="variable" static="yes">
      <type>byte</type>
      <name>in</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>byte</type>
      <name>out</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>byte</type>
      <name>gzipper</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>byte</type>
      <name>binary</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="public">
      <type></type>
      <name>CameraFile</name>
      <anchor>b0</anchor>
      <arglist>(const char *fname, byte flags=0)</arglist>
    </member>
    <member kind="function" protection="public">
      <type></type>
      <name>~CameraFile</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>_gzipped</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>_binary</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>string</type>
      <name>_fname</name>
      <anchor>n2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>byte</type>
      <name>_flags</name>
      <anchor>n3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CameraFileInput</name>
    <filename>classCameraFileInput.html</filename>
    <base>CameraFile</base>
    <member kind="function">
      <type></type>
      <name>CameraFileInput</name>
      <anchor>a0</anchor>
      <arglist>(const char *fname, byte flags=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~CameraFileInput</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>istream *</type>
      <name>_file</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend CameraFileInput &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchor>l0</anchor>
      <arglist>(CameraFileInput &amp;in, CameraGenerique &amp;cam)</arglist>
    </member>
    <member kind="friend">
      <type>friend CameraFileInput &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchor>l1</anchor>
      <arglist>(CameraFileInput &amp;in, CameraOrthographique &amp;cam)</arglist>
    </member>
    <member kind="friend">
      <type>friend CameraFileInput &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchor>l2</anchor>
      <arglist>(CameraFileInput &amp;in, CameraPerspective &amp;cam)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CameraFileOutput</name>
    <filename>classCameraFileOutput.html</filename>
    <base>CameraFile</base>
    <member kind="function">
      <type></type>
      <name>CameraFileOutput</name>
      <anchor>a0</anchor>
      <arglist>(const char *fname, byte flags=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~CameraFileOutput</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>ostream *</type>
      <name>_file</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend CameraFileOutput &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>l0</anchor>
      <arglist>(CameraFileOutput &amp;out, CameraGenerique &amp;cam)</arglist>
    </member>
    <member kind="friend">
      <type>friend CameraFileOutput &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>l1</anchor>
      <arglist>(CameraFileOutput &amp;out, CameraOrthographique &amp;cam)</arglist>
    </member>
    <member kind="friend">
      <type>friend CameraFileOutput &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>l2</anchor>
      <arglist>(CameraFileOutput &amp;out, CameraPerspective &amp;cam)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CameraGenerique</name>
    <filename>classCameraGenerique.html</filename>
    <member kind="function">
      <type></type>
      <name>CameraGenerique</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CameraGenerique</name>
      <anchor>a1</anchor>
      <arglist>(Coordinates_Definition)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CameraGenerique</name>
      <anchor>a2</anchor>
      <arglist>(CameraGenerique &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~CameraGenerique</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CameraGenerique &amp;</type>
      <name>operator=</name>
      <anchor>a4</anchor>
      <arglist>(CameraGenerique &amp;)</arglist>
    </member>
    <member kind="function">
      <type>Camera_Types &amp;</type>
      <name>Type</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Coordinates_Definition &amp;</type>
      <name>Coordinates</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>sPoint3d &amp;</type>
      <name>Position</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>sVector3d &amp;</type>
      <name>Direction</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>sVector3d &amp;</type>
      <name>Up</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>sVector3d &amp;</type>
      <name>Right</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Type</name>
      <anchor>a11</anchor>
      <arglist>(Camera_Types)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Coordinates</name>
      <anchor>a12</anchor>
      <arglist>(Coordinates_Definition)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Position</name>
      <anchor>a13</anchor>
      <arglist>(sPoint3d &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Direction</name>
      <anchor>a14</anchor>
      <arglist>(sVector3d &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Up</name>
      <anchor>a15</anchor>
      <arglist>(sVector3d &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Right</name>
      <anchor>a16</anchor>
      <arglist>(sVector3d &amp;)</arglist>
    </member>
    <member kind="function">
      <type>double **</type>
      <name>Rotation</name>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>double *</type>
      <name>Translation</name>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Camera_Types</type>
      <name>_type</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Coordinates_Definition</type>
      <name>_ccs</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>sPoint3d</type>
      <name>_position</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>sVector3d</type>
      <name>_direction</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>sVector3d</type>
      <name>_up</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>sVector3d</type>
      <name>_right</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CameraOrthographique</name>
    <filename>classCameraOrthographique.html</filename>
    <base>CameraGenerique</base>
    <member kind="function">
      <type></type>
      <name>CameraOrthographique</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CameraOrthographique</name>
      <anchor>a1</anchor>
      <arglist>(Coordinates_Definition)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CameraOrthographique</name>
      <anchor>a2</anchor>
      <arglist>(CameraOrthographique &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~CameraOrthographique</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CameraOrthographique &amp;</type>
      <name>operator=</name>
      <anchor>a4</anchor>
      <arglist>(CameraOrthographique &amp;)</arglist>
    </member>
    <member kind="function">
      <type>double &amp;</type>
      <name>OuvertureU</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>double &amp;</type>
      <name>OuvertureV</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>double &amp;</type>
      <name>PixelSize</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>double &amp;</type>
      <name>AspectRatio</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>OuvertureU</name>
      <anchor>a9</anchor>
      <arglist>(double)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>OuvertureV</name>
      <anchor>a10</anchor>
      <arglist>(double)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>PixelSize</name>
      <anchor>a11</anchor>
      <arglist>(double)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AspectRatio</name>
      <anchor>a12</anchor>
      <arglist>(double)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>double</type>
      <name>_ouvertureu</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>double</type>
      <name>_ouverturev</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>double</type>
      <name>_pixelsize</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>double</type>
      <name>_aspectratio</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CameraPerspective</name>
    <filename>classCameraPerspective.html</filename>
    <base>CameraGenerique</base>
    <member kind="function">
      <type></type>
      <name>CameraPerspective</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CameraPerspective</name>
      <anchor>a1</anchor>
      <arglist>(Coordinates_Definition)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CameraPerspective</name>
      <anchor>a2</anchor>
      <arglist>(CameraPerspective &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~CameraPerspective</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CameraPerspective &amp;</type>
      <name>operator=</name>
      <anchor>a4</anchor>
      <arglist>(CameraPerspective &amp;)</arglist>
    </member>
    <member kind="function">
      <type>double &amp;</type>
      <name>FocalLength</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>double &amp;</type>
      <name>Distortion</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>double &amp;</type>
      <name>AspectRatio</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>double &amp;</type>
      <name>PixelSize</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>double &amp;</type>
      <name>SkewAngle</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>sPoint2d &amp;</type>
      <name>PrincipalPoint</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>FocalLength</name>
      <anchor>a11</anchor>
      <arglist>(double)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Distortion</name>
      <anchor>a12</anchor>
      <arglist>(double)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AspectRatio</name>
      <anchor>a13</anchor>
      <arglist>(double)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>PixelSize</name>
      <anchor>a14</anchor>
      <arglist>(double)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SkewAngle</name>
      <anchor>a15</anchor>
      <arglist>(double)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>PrincipalPoint</name>
      <anchor>a16</anchor>
      <arglist>(sPoint2d &amp;)</arglist>
    </member>
    <member kind="function">
      <type>sVector3d</type>
      <name>DirectionPixel</name>
      <anchor>a17</anchor>
      <arglist>(sPoint2d &amp;)</arglist>
    </member>
    <member kind="function">
      <type>sPoint3d</type>
      <name>PositionPixel</name>
      <anchor>a18</anchor>
      <arglist>(sPoint2d &amp;)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>FieldofView</name>
      <anchor>a19</anchor>
      <arglist>(double)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>double</type>
      <name>_focallength</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>double</type>
      <name>_distortion</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>double</type>
      <name>_aspectratio</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>double</type>
      <name>_pixelsize</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>double</type>
      <name>_skewangle</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>sPoint2d</type>
      <name>_principalpoint</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
