#ifndef _IMAGE_IMAGEIO_H_
#define _IMAGE_IMAGEIO_H_

#include "Image/includes.h"
#include "Image/ImageRGB.h"
#include "Image/ImageRGBf.h"
#include "Image/ImageGRAY.h"
#include "Image/ImageGRAYf.h"

ImageRGB loadImageRGB(const char*);
void saveImageRGB(ImageRGB&,const char*);

ImageRGBf loadImageRGBf(const char*);
void saveImageRGBf(ImageRGBf&,const char*);

ImageGRAY loadImageGRAY(const char*);
void saveImageGRAY(ImageGRAY&,const char*);

ImageGRAYf loadImageGRAYf(const char*);
void saveImageGRAYf(ImageGRAYf&,const char*);

#endif
