#ifndef _MATH_NRCHAPTER02_H_
#define _MATH_NRCHAPTER02_H_

/*!
 * \file Math/NRChapter02.h
 * \brief mathematical functions on float vetor/matrix.
 *
 * mathematical algorithms described in Numerical Recipies Chapter 2.
 */

#include "Math/includes.h"

/** \defgroup chapitre02 2. Solution of Linear Algebraic Equations
 * \ingroup NR
 */

#include "Math/NRChapter02Section00.h"
#include "Math/NRChapter02Section01.h"
#include "Math/NRChapter02Section02.h"
#include "Math/NRChapter02Section03.h"
#include "Math/NRChapter02Section04.h"
#include "Math/NRChapter02Section05.h"
#include "Math/NRChapter02Section06.h"
#include "Math/NRChapter02Section07.h"
#include "Math/NRChapter02Section08.h"
#include "Math/NRChapter02Section09.h"
#include "Math/NRChapter02Section10.h"
#include "Math/NRChapter02Section11.h"

#ifdef USENAMESPACE
namespace NumericalRecipes
{
#endif /* #ifdef USENAMESPACE */

#ifdef USENAMESPACE
} /* namespace NumericalRecipes */
#endif /* #ifdef USENAMESPACE */

#endif /* #ifndef _MATH_NRCHAPTER02_H_ */
