#ifndef _MATH_NRCHAPTER10_H_
#define _MATH_NRCHAPTER10_H_

/*!
 * \file Math/NRChapter10.h
 * \brief mathematical functions on float vetor/matrix.
 *
 * mathematical algorithms described in Numerical Recipies Chapter 10.
 */

#include "Math/includes.h"

/** \defgroup chapitre10 10. Minimization or Maximization of Functions
 * \ingroup NR
 */

#include "Math/NRChapter10Section01.h"
#include "Math/NRChapter10Section02.h"
#include "Math/NRChapter10Section03.h"
#include "Math/NRChapter10Section05.h"
#include "Math/NRChapter10Section06.h"

#ifdef USENAMESPACE
namespace NumericalRecipes
{
#endif /* #ifdef USENAMESPACE */

#ifdef USENAMESPACE
} /* namespace NumericalRecipes */
#endif /* #ifdef USENAMESPACE */

#endif /* #ifndef _MATH_NRCHAPTER10_H_ */
