#ifndef _RADIOSITE_FILEINPUT_H_
#define _RADIOSITE_FILEINPUT_H_

#include "Radiosite/Includes.h"
#include "Radiosite/Enumeration.h"
#include "Radiosite/Globals.h"

#include "Radiosite/Utility.h"
#include "Radiosite/Options.h"

#include "Radiosite/Surface.h"
#include "Radiosite/Patch.h"
#include "Radiosite/Link.h"

#include "Radiosite/Material.h"
#include "Radiosite/LightSource.h"

extern void setCurrentMaterial(char* materialFileName);

extern void parseLineSCN(char* cmdline);
extern void loadSCN(istream& inputfile);
extern void loadSCN(char* fname);

#endif
