#ifndef _RADIOSITE_GATHERING_H_
#define _RADIOSITE_GATHERING_H_

#include "Radiosite/Includes.h"
#include "Radiosite/Enumeration.h"
#include "Radiosite/Globals.h"

#include "Radiosite/Utility.h"
#include "Radiosite/Options.h"

#include "Radiosite/Surface.h"
#include "Radiosite/Patch.h"

extern double rebuildRadiosity(double *B,int i, int j);

extern double gatherWithPushPull(double factor,__patch *p,double **coeffs);
extern double gatherWithPushPull2(double factor,__patch *p,double *coeff);

extern double solveGatheringLowestSurface(__surface* S);
extern double solveGatheringSurface(__surface* S);
extern void solveGathering();

#endif
