#ifndef _RADIOSITE_GATHERINGLINKER_H_
#define _RADIOSITE_GATHERINGLINKER_H_

#include "Radiosite/Includes.h"
#include "Radiosite/Enumeration.h"
#include "Radiosite/Globals.h"

#include "Radiosite/Utility.h"
#include "Radiosite/Options.h"

#include "Radiosite/Surface.h"
#include "Radiosite/Patch.h"

extern void deleteAllFromLink(__patch* p);
extern void deleteAllFromLink(__surface* S);
extern void deleteAllFromLink();

/* creation de tous les liens : source=S1, dest=S0 */
extern void linkLowestSurfaceGathering(__surface* S0,__surface* S1);
extern void linkLowestRecepterSurfaceGathering(__surface* S0,__surface* S1);
extern void linkLowestEmitterSurfaceGathering(__surface* S0,__surface* S1);
extern void linkAllSurfacesGathering(int light = 0);

/* affinage hierarchique des liens */
extern int refineAllSurfaceLinks(__surface* S);
extern int refineAllLinks();

#endif
