#ifndef _RADIOSITE_GLOBALS_H_
#define _RADIOSITE_GLOBALS_H_

#include "Radiosite/Includes.h"
#include "Radiosite/Enumeration.h"

#define magicSquareSize 16

#define PPI 3.1415926536

typedef struct
{
  double min_u;
  double min_v;
} sMagicSquareData;

extern sMagicSquareData magicSquareA[magicSquareSize];
extern sMagicSquareData magicSquareB[magicSquareSize];

extern double maximumLuminance;

#endif
