#ifndef _RADIOSITE_HIERARCHICALLINKER_H_
#define _RADIOSITE_HIERARCHICALLINKER_H_

#include "Radiosite/Includes.h"
#include "Radiosite/Enumeration.h"
#include "Radiosite/Globals.h"

#include "Radiosite/Utility.h"
#include "Radiosite/Options.h"

#include "Radiosite/Surface.h"
#include "Radiosite/Patch.h"
#include "Radiosite/Link.h"

/* affinage hierarchique des liens */
extern int refineLink(__link*& l);
extern int refineAllPatchLinks(__patch* S);
extern int refineAllSurfaceLinks(__surface* S);
extern int refineAllLinks();

extern void hierarchicalLinkerStats();

#endif
