#ifndef _RADIOSITE_SERIALISER_H_
#define _RADIOSITE_SERIALISER_H_

#include "Radiosite/Includes.h"
#include "Radiosite/Enumeration.h"
#include "Radiosite/Globals.h"

#include "Radiosite/Utility.h"
#include "Radiosite/Options.h"

#include "Radiosite/Surface.h"
#include "Radiosite/Patch.h"
#include "Radiosite/Link.h"

#include "Radiosite/Material.h"
#include "Radiosite/LightSource.h"

#include "Radiosite/Scene.h"
#include "Radiosite/Sky.h"

extern void serialize(ostream& output,__lightsource& light);
extern void serialize(ostream& output,__material& material);
extern void serialize(ostream& output,__surface& surface);
extern void serialize(ostream& output,__patch& patch);
extern void serialize(ostream& output,__link& link);
extern void serializeScene(ostream& output);
extern void serializerStats();

#endif
