#ifndef _RADIOSITE_UNSERIALISER_H_
#define _RADIOSITE_UNSERIALISER_H_

#include "Radiosite/Includes.h"
#include "Radiosite/Enumeration.h"
#include "Radiosite/Globals.h"

#include "Radiosite/Utility.h"
#include "Radiosite/Options.h"

#include "Radiosite/Surface.h"
#include "Radiosite/Patch.h"
#include "Radiosite/Link.h"

#include "Radiosite/Material.h"
#include "Radiosite/LightSource.h"

#include "Radiosite/Scene.h"
#include "Radiosite/Sky.h"

extern void unserialize(istream& input,__lightsource& light);
extern void unserialize(istream& input,__material& material);
extern void unserialize(istream& input,__surface& surface);
extern void unserialize(istream& input,__patch& patch);
extern void unserialize(istream& input,__link& link);
extern void unserializeLink(istream& input,__link* link);
extern void unserializeScene(istream& input);

#endif
