#ifndef _SPECTRUM_INCLUDES_H_
#define _SPECTRUM_INCLUDES_H_

#include <iostream>
#include <iomanip>
#include <fstream>
#include <cmath>

/* pour la stl */

#include <map>

using namespace std;

/* pour la bibliotheque utilitaires */

#include <Utility/Includes.h>
#include <Utility/BinaryCoding.h>
#include <Utility/Mode.h>
#include <Utility/Debugger.h>
#include <Utility/Memory.h>
#include <Utility/Statistic.h>
#include <Utility/CounterStatistic.h>
#include <Utility/Utility.h>

#define maximumSpectrumSize 500
#define minWavelength 360
#define maxWavelength 830
#define deltaWavelength ( ((double)(maxWavelength - minWavelength)) / (double)maximumSpectrumSize )

typedef double sSpectrumPhotometric;

#define SPECTRUMERROR 1000
#define SAMPLINGTHRESHOLDTOOLARGE 1001
#define LIGHTSPECTRUMFILEERROR 1002

#endif
