#include "fl_float_input.h"

static float res_ffi;

inline void cb_ffi(Fl_Float_Input* o, void* v) {
  sscanf(o->value(),"%f",&res_ffi);
};
inline void cb_ffib(Fl_Button* o, void* v) {
  ((Fl_Window*)(o->user_data()))->hide();
};

float fl_float_input(char* txt,float v) {
  res_ffi = v;
  Fl_Float_Input* fv;
  Fl_Window * w = new Fl_Window(350,55,txt);
  { Fl_Float_Input * o = fv = new Fl_Float_Input(30,5,240,20,"");
  char str[50]; sprintf(str,"%f",v);
    o->value(str);
    o->callback((Fl_Callback*)cb_ffi);
    o->when(FL_WHEN_CHANGED);
  };
  { Fl_Button* o = new Fl_Button(170,30,100,20,"Ok");
    o->user_data((void*)w);
    o->callback((Fl_Callback*)cb_ffib);
  };
  w->end();
  w->set_modal();
  w->show();
  while (w->visible()) {
    Fl::wait();
  };
  delete w;
  return res_ffi;
};

static double res_fdi;

inline void cb_fdi(Fl_Float_Input* o, void* v) {
  float tmp;
  sscanf(o->value(),"%f",&tmp);
  res_fdi = (double)tmp;
};
inline void cb_fdib(Fl_Button* o, void* v) {
  ((Fl_Window*)(o->user_data()))->hide();
};

double fl_double_input(char* txt,double v) {
  res_fdi = v;
  Fl_Float_Input* fv;
  Fl_Window * w = new Fl_Window(350,55,txt);
  { Fl_Float_Input * o = fv = new Fl_Float_Input(30,5,240,20,"");
  char str[50]; sprintf(str,"%f",v);
    o->value(str);
    o->callback((Fl_Callback*)cb_fdi);
    o->when(FL_WHEN_CHANGED);
  };
  { Fl_Button* o = new Fl_Button(170,30,100,20,"Ok");
    o->user_data((void*)w);
    o->callback((Fl_Callback*)cb_fdib);
  };
  w->end();
  w->set_modal();
  w->show();
  while (w->visible()) {
    Fl::wait();
  };
  delete w;
  return res_fdi;
};

static double res_ii;

inline void cb_ii(Fl_Float_Input* o, void* v) {
  int tmp;
  sscanf(o->value(),"%f",&tmp);
  res_fdi = (int)tmp;
};
inline void cb_iib(Fl_Button* o, void* v) {
  ((Fl_Window*)(o->user_data()))->hide();
};

double fl_int_input(char* txt,int v) {
  res_ii = v;
  Fl_Float_Input* fv;
  Fl_Window * w = new Fl_Window(350,55,txt);
  { Fl_Float_Input * o = fv = new Fl_Float_Input(30,5,240,20,"");
  char str[50]; sprintf(str,"%d",v);
    o->value(str);
    o->callback((Fl_Callback*)cb_ii);
    o->when(FL_WHEN_CHANGED);
  };
  { Fl_Button* o = new Fl_Button(170,30,100,20,"Ok");
    o->user_data((void*)w);
    o->callback((Fl_Callback*)cb_iib);
  };
  w->end();
  w->set_modal();
  w->show();
  while (w->visible()) {
    Fl::wait();
  };
  delete w;
  return res_ii;
};

