/*****************************************************************************
**
**       Copyright (c) 1995-1996-1997-1998 by IRISA/INRIA Rennes.
**       All Rights Reserved.
**
**       IRISA/INRIA Rennes
**       Campus Universitaire de Beaulieu
**       35042 Rennes Cedex
**
*****************************************************************************/

/************************************************************************

 FICHIER	: famem.h

 REPERTOIRE	: /home/corre/src/cprim

 MACHINE HOTE	: Sun386i timeat

 MACHINE CIBLE	: Sun386i SunIPC SunIPX

 PROJET		: Bibliotheque logicielle de primitives en langage C.

 CLIENT		: S.A TIMEAT			TELEPHONE	: 99.26.93.00

 COPYRIGHT	: S.A TIMEAT			TELEPHONE	: 99.26.93.00

 AUTEUR		: Jean-Luc CORRE

 ENVIRONNEMENT	: Compilation	- Neant.
		  Liens		- Neant.
		  Execution	- Neant.

 DESCRIPTION	: Le fichier (famem = Float Array MEMory) contient les
		  declarations des procedures de gestion en memoire des
		  tableaux de reels simple precision monodimensionnels.

 RESUME		:

 Declarations des procedures du fichier "famem.c".

 HISTORIQUE	:

 1.00 - 17/12/91 - Original.

*************************************************************************/

#ifndef	__FAMEM_H
#define	__FAMEM_H


#include	<stdlib.h>	/* pour size_t	*/


extern	void	copy_float (const float *src, float *dst, size_t n);
extern	void	copyinc_float (const float *src, float *dst, size_t n,
		int incsrc, int incdst);
extern	void	set_float (float *buf, float v, size_t n);
extern	void	setinc_float (float *buf, float v, size_t n, int inc);


#endif	/* __FAMEM_H	*/

