#ifndef SELECTIVEFILTER_H
#define SELECTIVEFILTER_H

#include "polygon.h"
/* #include "includes.h" */


class SelectiveFilter{

 public:
  
  static void selective_filter 	(const ImageRGB &psrc, ImageRGB &pdest,bool color,unsigned int param);
  static void gradient		(const ImageRGB &psrc, ImageRGB &pdest,bool color,float param);
  static void light_filter	(const ImageRGB &psrc, ImageRGB &pdest		,float param);
  static void aniso_diff	(const ImageRGB &im  , ImageRGB &d		,float kappa,float lambda,int option);
  static void unfilter		(const ImageRGB &psrc, ImageRGB &pdest,bool color,unsigned int param);
  static void gauss_filter_sub	(const ImageRGB &psrc, ImageRGB &pdest,bool color,unsigned int param,bool *t);
  static void gauss_filter_sub	(const ImageRGB &psrc, ImageRGB &pdest,bool color,unsigned int param,bool *t,bool *t2);
  static void gauss_filter_sub	(const ImageRGB &psrc, ImageRGB &pdest,bool color,unsigned int param);
  static void gauss_filter_sub(float *psrc,float *pdest,int w,int h,bool color,unsigned int param,bool *t,bool *t2);
  static void gauss_filter_sub(float *psrc,float *pdest,int w,int h,bool color,unsigned int param,bool *t);
  static void gauss_filter_sub(float *psrc,float *pdest,int w,int h,bool color,unsigned int param);
  static void im2float(ImageRGB &s,float *d,int w,int h);
  static void float2im(float *d,ImageRGB &s,int w,int h);

};

#endif

