#ifndef _TUNNEL_LIGHTSOURCE_H_
#define _TUNNEL_LIGHTSOURCE_H_

#include "others/includes.h"

typedef struct
{
  char _name[255];
  double _c0;
  double _c1;
  double _c2;
  double _values[2][maxNumberOfPointsInLightSourceSpectrum];
  int _nbvalues;
} sLightSourceSpectrum;

class sLightSource
{
 private:
 protected:
 public:
  char _filename[255];
  char _name[255];
  char _data[255];
   sLightSourceSpectrum _spectrum;
  double L;
  double l;
  double _stepDir;
  int _nbDir;
  double _stepPlans;
  int _nbPlans;
  double _firstPlan;
  int _values[maxNumberOfLightSubdivisionPlane][maxNumberOfLightSubdivisionDirection];
  sLightSource();
  sLightSource(const sLightSource&);
  ~sLightSource();
};

ostream& operator << (ostream& out,const sLightSource& light);

#endif
