#ifndef _TUNNEL_MATERIALREFLECTANCESPECTRUM_H_
#define _TUNNEL_MATERIALREFLECTANCESPECTRUM_H_

#include "others/includes.h"

class sMaterialReflectanceSpectrum
{
 private:
 protected:
 public:
  char _filename[255];
  char _spectrumName[255];
  double _spectrumN;
  double _spectrumK;
  char _spectrumType[255];
  int _spectrumDataSize;
  double _spectrumWavelength[maxNumberOfPointsInMaterialReflectanceSpectrum];
  double _spectrumValue[maxNumberOfPointsInMaterialReflectanceSpectrum];
  double _spectrumPrice;
  double _meanSpectrumValue;
  sMaterialReflectanceSpectrum();
  sMaterialReflectanceSpectrum(const sMaterialReflectanceSpectrum&);
  ~sMaterialReflectanceSpectrum();
};

ostream& operator<<(ostream&,const sMaterialReflectanceSpectrum&);

#endif
