#ifndef _TUNNEL_GUI_FLGLVISUCOURBE_H_
#define _TUNNEL_GUI_FLGLVISUCOURBE_H_

#include "others/includes.h"
#include "gui/Flincludes.h"

class FlSelectCourbe;

class FlGlVisuCourbe : public Fl_Gl_Window
{
 private:
  int _firstTimeDrawing;
  GLuint _axesDrawingList;
  GLuint _curveDrawingList;
  int _clickedAbcisse;
  FlSelectCourbe* _curveSelector;
  /* private methods */
  void initializeAxesDrawingList();
  void initializeCurveDrawingList();
 protected:
 public:
  FlGlVisuCourbe(const int& xx,const int& yy,const int& w,const int& h,const char* title = NULL);
  ~FlGlVisuCourbe();

  void draw();
  void resize(const int& xx,const int& yy,const int& ww,const int& hh);
  int handle(int event);

  void link(FlSelectCourbe* selector);
  int getAbcisse();
};

#endif
