#ifndef _TUNNEL_GUI_FLGLVISUSPECTRE_H_
#define _TUNNEL_GUI_FLGLVISUSPECTRE_H_

#include "others/includes.h"
#include "gui/Flincludes.h"

class FlSelectSpectre;

class FlGlVisuSpectre : public Fl_Gl_Window
{
 private:
  int _firstTimeDrawing;
  GLuint _axesDrawingList;
  GLuint _spectreDrawingList;
  int _clickedAbcisse;
  FlSelectSpectre* _spectreSelector;
  /* private methods */
  void initializeAxesDrawingList();
  void initializeSpectrumDrawingList();
 protected:
 public:
  FlGlVisuSpectre(const int& xx,const int& yy,const int& w,const int& h,const char* title = NULL);
  ~FlGlVisuSpectre();

  void draw();
  void resize(const int& xx,const int& yy,const int& ww,const int& hh);
  int handle(int event);

  void link(FlSelectSpectre* selector);
  int getAbcisse();
};

#endif
