#ifndef _TUNNEL_GUI_FLSELECTCOURBE_H_
#define _TUNNEL_GUI_FLSELECTCOURBE_H_

#include "others/includes.h"
#include "gui/Flincludes.h"

class FlGlVisuCourbe;

class FlSelectCourbe : public Fl_Window
{
 private:
  double _curveAbcisse;
  double _curveOrdonnee;
  FlGlVisuCourbe* _curveViewer;
  /* private methods */
  int initializeCoordinates();
 protected:
  Fl_Box* _nameLabel;
  Fl_Button* _selectionButton;
  Fl_Box* _abcisseLabel;
  Fl_Output* _abcisseOutput;
  Fl_Box* _ordonneeLabel;
  Fl_Output* _ordonneeOutput;
  /* protected methods */
  inline void cb_selection_i(Fl_Widget* o, void* v);
  static void cb_selection(Fl_Widget* o, void* v);
 public:
  FlSelectCourbe(const int& xx,const int& yy,const int& ww,const int& hh,const char* title = NULL);
  ~FlSelectCourbe();

  void draw();
  void resize(const int& xx,const int& yy,const int& ww,const int& hh);
  int handle(int event);

  void link(FlGlVisuCourbe* viewer);
  int initializeData( char* filename);
};

#endif
