#ifndef _TUNNEL_GUI_FLSELECTSPECTRE_H_
#define _TUNNEL_GUI_FLSELECTSPECTRE_H_

#include "others/includes.h"
#include "gui/Flincludes.h"

class FlGlVisuSpectre;

class FlSelectSpectre : public Fl_Window
{
 private:
  double _spectreAbcisse;
  double _spectreOrdonnee;
  FlGlVisuSpectre* _spectreViewer;
  /* private methods */
  int initializeCoordinates();
 protected:
  Fl_Box* _nameLabel;
  Fl_Output* _nameOutput;
  Fl_Button* _selectionButton;
  Fl_Box* _abcisseLabel;
  Fl_Output* _abcisseOutput;
  Fl_Box* _ordonneeLabel;
  Fl_Output* _ordonneeOutput;
  /* protected methods */
  inline void cb_selection_i(Fl_Widget* o, void* v);
  static void cb_selection(Fl_Widget* o, void* v);
 public:
  FlSelectSpectre(const int& xx,const int& yy,const int& w,const int& h,const char* title = NULL);
  ~FlSelectSpectre();

  void draw();
  void resize(const int& xx,const int& yy,const int& ww,const int& hh);
  int handle(int event);

  void link(FlGlVisuSpectre* viewer);
  int initializeData( char* filename);
};

#endif
