#ifndef _TUNNEL_CONSTANTS_H_
#define _TUNNEL_CONSTANTS_H_

#define UNDEFINED  -1

#define maxNumberOfConfiguration 100

#define SQRT3 1.7320508
#define SQRT5 2.236068
#define SQRT7 2.6457513

#define raddeg 57.2957795;

#define smallEpsilon 0.00001
#define smallEpsilonValue 0.00000001
#define epsilonValue 0.00001
#define largeValue 1e20
#define hugeValue 1e30

#define maxNumberOfPointsInMotif 100

#define maxNumberOfPointsInSpectrum 90
#define maxNumberOfPointsInMaterialReflectanceSpectrum maxNumberOfPointsInSpectrum
#define maxNumberOfPointsInLightSourceSpectrum maxNumberOfPointsInSpectrum

#define maxNumberOfPointsInRequiredRadianceCurve 40

#define maxNumberOfMaterialReflectanceViewer 1
#define maxNumberOfLightSubdivisionPlane 40
#define maxNumberOfLightSubdivisionDirection 40

#endif
