#ifndef _TUNNEL_RADIOSITE_GAUSS_H_
#define _TUNNEL_RADIOSITE_GAUSS_H_

#include "others/includes.h"
#include "radiosite/Structures.h"

extern double gauss_quadrature_point[4][4];
extern double gauss_quadrature_weight[4][4];

double projection_coeff_1v(int M,int m, int J,double *f);
double projection_coeff_2v(int M,int m,int n, int J,double *f);
double projection_coeff_4v(int M,int m,int n,int o, int p, int J_a,int J_b,double *f);

#endif
