#ifndef _TUNNEL_RADIOSITE_LAMBDA_H_
#define _TUNNEL_RADIOSITE_LAMBDA_H_

#include "others/includes.h"
#include "radiosite/Structures.h"

#include "data/LightSource.h"
#include "data/MaterialReflectanceSpectrum.h"

typedef struct
{
  double x;
  double y;
} Point;

typedef struct
{
  int taille;
  Point pts[maxNumberOfPointsInSpectrum];
} Lambda;

extern int sampledSpectrumSize;
extern double* sampledSpectrum ;

void calculSpectreReduit2(sLightSource* light);
void reduireSpectre(double* newspectrum,double* spectrumWavelength,double* spectrumValue);

#endif
