#ifndef _TUNNEL_RADIOSITE_RAY_H_
#define _TUNNEL_RADIOSITE_RAY_H_

#include "others/includes.h"
#include "radiosite/Structures.h"

#include "radiosite/Surface.h"

typedef struct
{
  Point3 start;
  Vector3 direction;
  long number; /* For Currency in Mailbox optimisation */
} Ray;

extern long ray_count;

int intersect_parallel_planes(double L,double R,double O,double D,double *tnear,double *tfar);
int HitBoundingBox(Point3 *minB,Point3 *maxB, Point3 *origin, Vector3 *dir,double *entrypoint,double *exitpoint);

int shadow_ray_test(Ray *ray,Surface *slist,double max_t);

#endif
