#ifndef _TUNNEL_RECHERCHE_NFF_H_
#define _TUNNEL_RECHERCHE_NFF_H_

#include "others/includes.h"
#include "radiosite/Structures.h"

#include "data/LightSource.h"
#include "data/MaterialReflectanceSpectrum.h"
#include "data/SceneNFF.h"

void addPolygonNFF(SceneNFF* scn,enum eTunnelSurface type,sLightSource* light,sMaterialReflectanceSpectrum* mat,PointNFF& p0,PointNFF& p1,PointNFF& p2,PointNFF& p3);
void generateRoofPolygonNFF(SceneNFF* scn,sLightSource* light,sMaterialReflectanceSpectrum* mat,PointNFF& p0,PointNFF& p1,PointNFF& p2,PointNFF& p3,double d,int lvl);
SceneNFF* getTunnelNFF(const sTunnelParameters&);

#endif
