#ifndef SETPOLYGON_H
#define SETPOLYGON_H

#include "includes.h"

class SetPolygon{

 protected:

  bool _valid;
  vector<sPoint2d> _v;
  map<int,set<int> > _m;

  void inserer(int x, int y);
  void inserer_segment(int x1,int y1,int x2,int y2,int x3,int y3);
  void init_carte();

 public:
  
  polygon();

  //void operator+=(int x,int y);	// ajouter un point
  void operator+=(sPoint2d p);
  void operator!();			// validation du polygone
  bool operator*()const;		// le polygone est-il valide ?
  bool operator()(int x,int y)const;	// le point appartient-il au polygone ?
  bool operator()(sPoint2d p)const;

  void draw()const;			// dessiner le polygone
  void clear();
  int size()const;
};

#endif

