#ifndef _TEMPLATE_PTRLISTITERATOR_H_
#define _TEMPLATE_PTRLISTITERATOR_H_

#include "ListIterator.h"

#include "ptrElement.h"
#include "ptrList.h"

template <class T> class cListIterator< T* >
{
 private:
 protected:
  const cList< T* >& _list;
  cElement< T* >* _crtelt;
  int _index;
  int _initialized;
 protected:
 public:
  cListIterator() :
    _crtelt(NULL) ,
    _index(0) ,
    _initialized(0)
    {
    }
  cListIterator(const cList< T* >& lst) :
    _list(lst) ,
    _crtelt(lst._head->_next) ,
    _index(1) ,
    _initialized(1)
    {
      if (lst.iterate()) {}
    }
  cListIterator(cList< T* >& lst) :
    _list(lst) ,
    _crtelt(lst._head->_next) ,
    _index(1) ,
    _initialized(1)
    {
      if (lst.iterate()) {}
    }
  ~cListIterator()
    {
    }
  int finished()
    {
      if (!_initialized) {}
      return (_crtelt == _list._tail);
    }
  T*& getCurrent()
    {
      if (!_initialized) {}
      if (_crtelt == NULL) {}
      return _crtelt->_data;
    }
  cListIterator< T* >& operator++()
    {
      if (!_initialized) {}
      if (_crtelt == NULL) {}
      _index++;
      _crtelt = _crtelt->_next;
      return *this;
    }
  cListIterator< T* >& operator=(cList< T* >& lst)
    {
      if (lst.iterate()) {}
      _list = lst;
      _index = 1;
      _initialized = 1;
      _crtelt = lst._head->_next;
      return *this;
    }
};

#endif
