#ifndef _CAMERA_SERIALISER_H_
#define _CAMERA_SERIALISER_H_

#include "Camera/includes.h"
#include "Camera/CameraGenerique.h"
#include "Camera/CameraOrthographique.h"
#include "Camera/CameraPerspective.h"

#ifdef USENAMESPACE
namespace Serializer
{
  using namespace Camera;
#endif /* #ifdef USENAMESPACE */

  extern void serialize(ostream& output,CameraGenerique& cam,int binary = 0);
  extern void serialize(ostream& output,CameraOrthographique& cam,int binary = 0);
  extern void serialize(ostream& output,CameraPerspective& cam,int binary = 0);

#ifdef USENAMESPACE
} /* namespace Serializer */
#endif /* #ifdef USENAMESPACE */

#endif /* #ifndef _CAMERA_SERIALISER_H_ */
