#ifndef _CAMERA_UNSERIALISER_H_
#define _CAMERA_UNSERIALISER_H_

#include "Camera/includes.h"
#include "Camera/CameraGenerique.h"
#include "Camera/CameraOrthographique.h"
#include "Camera/CameraPerspective.h"

#ifdef USENAMESPACE
namespace Serializer
{
  using namespace Camera;
#endif /* #ifdef USENAMESPACE */

  extern void unserialize(istream& input,CameraGenerique& cam,int binary = 0);
  extern void unserialize(istream& input,CameraOrthographique& cam,int binary = 0);
  extern void unserialize(istream& input,CameraPerspective& cam,int binary = 0);

#ifdef USENAMESPACE
} /* namespace Serializer */
#endif /* #ifdef USENAMESPACE */

#endif /* #ifndef _CAMERA_UNSERIALISER_H_ */
