#ifndef _IMAGE_INCLUDES_H_
#define _IMAGE_INCLUDES_H_

#include <math.h>
#include <stdio.h>
#include <stddef.h>
#include <stdlib.h>
#include <string.h>
#include <strings.h>
#include <iostream.h>
#include <iomanip.h>
#include <fstream.h>

/* pour la bibliotheque utilitaires */

#include <Utility/Includes.h>
#include <Utility/BinaryCoding.h>
#include <Utility/Mode.h>
#include <Utility/Debugger.h>
#include <Utility/Memory.h>
#include <Utility/Statistic.h>
#include <Utility/CounterStatistic.h>
#include <Utility/Utility.h>

/* pour la bibliotheque tga */

#include <Tga/includes.h>
#include <Tga/Enumeration.h>
#include <Tga/Structures.h>
#include <Tga/Exception.h>
#include <Tga/TgaFile.h>
#include <Tga/TgaFileInput.h>
#include <Tga/TgaFileOutput.h>

#ifndef NULL
#define NULL 0
#endif

#ifndef INFINITY
#define INFINITY 1e10
#endif

extern const double image_epsilon;

extern long fileio_memory;

void image_error(char error_text[]);
void image_debug(char debug_text[]);
void image_memusage();

#endif
