#ifndef _MATH_NR_H_
#define _MATH_NR_H_

/*!
 * \file Math/NR.h
 * \brief mathematical functions on float vetor/matrix.
 *
 * mathematical algorithms described in Numerical Recipies.
 */

#include "Math/includes.h"

/** \defgroup NR Numerical Recipes
 */

#include "Math/NRChapter01.h"
#include "Math/NRChapter02.h"
#include "Math/NRChapter03.h"
#include "Math/NRChapter04.h"
#include "Math/NRChapter05.h"
#include "Math/NRChapter06.h"
#include "Math/NRChapter07.h"
#include "Math/NRChapter08.h"
#include "Math/NRChapter09.h"
#include "Math/NRChapter10.h"
#include "Math/NRChapter11.h"
#include "Math/NRChapter12.h"
#include "Math/NRChapter13.h"
#include "Math/NRChapter14.h"
#include "Math/NRChapter15.h"
#include "Math/NRChapter16.h"
#include "Math/NRChapter17.h"
#include "Math/NRChapter18.h"
#include "Math/NRChapter19.h"
#include "Math/NRChapter20.h"
#include "Math/imath.h"
#include "Math/dmath.h"
#include "Math/cmath.h"

#ifdef USENAMESPACE
namespace NumericalRecipes
{
#endif /* #ifdef USENAMESPACE */

#ifdef USENAMESPACE
} /* namespace NumericalRecipes */
#endif /* #ifdef USENAMESPACE */

#endif /* #ifndef _MATH_NR_H_ */
