#ifndef _MATH_NRCHAPTER06_H_
#define _MATH_NRCHAPTER06_H_

/*!
 * \file Math/NRChapter06.h
 * \brief mathematical functions on float vetor/matrix.
 *
 * mathematical algorithms described in Numerical Recipies Chapter 6.
 */

#include "Math/includes.h"

/** \defgroup chapitre06 6. Special Functions
 * \ingroup NR
 */

#include "Math/NRChapter06Section00.h"
#include "Math/NRChapter06Section01.h"
#include "Math/NRChapter06Section02.h"

#ifdef USENAMESPACE
namespace NumericalRecipes
{
#endif /* #ifdef USENAMESPACE */

#ifdef USENAMESPACE
} /* namespace NumericalRecipes */
#endif /* #ifdef USENAMESPACE */

#endif /* #ifndef _MATH_NRCHAPTER06_H_ */
