#ifndef _RADIOSITE_FILEOUTPUT_H_
#define _RADIOSITE_FILEOUTPUT_H_

#include "Radiosite/Includes.h"
#include "Radiosite/Enumeration.h"
#include "Radiosite/Globals.h"

#include "Radiosite/Utility.h"
#include "Radiosite/Options.h"

#include "Radiosite/Surface.h"
#include "Radiosite/Patch.h"
#include "Radiosite/Link.h"

#include "Radiosite/Material.h"
#include "Radiosite/LightSource.h"

extern void saveNFB(ostream& output,sPatch* p,int level);
extern void saveNFB(ostream& output,sSurface* s);
extern void saveNFB(ostream& output);
extern void saveNFB(char* fname);

extern void saveNFF(ostream& output,sPatch* p,int level);
extern void saveNFF(ostream& output,sSurface* s);
extern void saveNFF(ostream& output);
extern void saveNFF(char* fname);

#endif
