#ifndef _RADIOSITE_LINKER_H_
#define _RADIOSITE_LINKER_H_

#include "Radiosite/Includes.h"
#include "Radiosite/Enumeration.h"
#include "Radiosite/Globals.h"

#include "Radiosite/Utility.h"
#include "Radiosite/Options.h"

#include "Radiosite/Surface.h"
#include "Radiosite/Patch.h"

extern int alreadyLinked(sPatch* a,sPatch* b);

/* creation d'un lien : source=b, dest=a */
extern void createLinkPatch(__patch* a,__patch* b);
extern void createLinkPatch(__patch& a,__patch& b,int J_a,int J_b,double *kernel);

/* creation de tous les liens : source=b, dest=a */
extern void linkPatch(__patch* a,__patch* b);
extern void linkPatch(__patch& a,__patch& b,eVisibilityCode vis,int J_a,int J_b);

extern void linkerStats();

#endif
