#ifndef _SOURCE_SOURCEFILE_H_
#define _SOURCE_SOURCEFILE_H_

#include "Source/Includes.h"
#include "Source/LightSource.h"

extern sLightSource* loadLightSource(istream& input,int binary = 0);
extern sLightSource* loadLightSource(char* fname);
extern sLightSource** loadLightSources(istream& input,int& nb,int binary = 0);
extern sLightSource** loadLightSources(char* fname,int& nb);

extern void saveLightSource(ostream& output,sLightSource* s,int binary = 0);
extern void saveLightSource(char* fname,sLightSource* s);
extern void saveLightSources(ostream& output,int binary = 0);
extern void saveLightSources(char* fname);

#endif
