#ifndef _SPECTRUM_BINARYCODING_H_
#define _SPECTRUM_BINARYCODING_H_

#include "Spectrum/Includes.h"
#include "Spectrum/Spectrum.h"

class BinaryCoding<sDetailledSpectrum> {
 public:
  static int codingSize;
  static void encode(unsigned char* array,long& index,sDetailledSpectrum& value);
  static void decode(unsigned char* array,long& index,sDetailledSpectrum& value);
};

class BinaryCoding<sSampledSpectrum> {
 public:
  static int codingSize;
  static void encode(unsigned char* array,long& index,sSampledSpectrum& value);
  static void decode(unsigned char* array,long& index,sSampledSpectrum& value);
};

#endif
