#ifndef _SPECTRUM_MUNSELL_H_
#define _SPECTRUM_MUNSELL_H_

#include "Spectrum/Includes.h"
#include "Spectrum/Spectrum.h"

typedef struct {
  string h;
  sSpectrumPhotometric V;
  sSpectrumPhotometric C;
  sSpectrumPhotometric x;
  sSpectrumPhotometric y;
  sSpectrumPhotometric Y;
} tMunselData;

extern sDetailledSpectrum* munsellSampleSpectrum(string h,sSpectrumPhotometric V,sSpectrumPhotometric C,sSpectrumPhotometric mn,sSpectrumPhotometric mx,sSpectrumPhotometric dl);

#endif
