#ifndef _SPECTRUM_SPECTRUMFILE_H_
#define _SPECTRUM_SPECTRUMFILE_H_

#include "Spectrum/Includes.h"
#include "Spectrum/Spectrum.h"

extern sDetailledSpectrum* loadDetailledSpectrum(istream& input,int binary = 0);
extern sDetailledSpectrum* loadDetailledSpectrum(char* fname);
extern sDetailledSpectrum** loadDetailledSpectrums(istream& input,int& nb,int binary = 0);
extern sDetailledSpectrum** loadDetailledSpectrums(char* fname,int& nb);

extern void saveDetailledSpectrum(ostream& output,sDetailledSpectrum* s,int binary = 0);
extern void saveDetailledSpectrum(char* fname,sDetailledSpectrum* s);
extern void saveDetailledSpectrums(ostream& output,int binary = 0);
extern void saveDetailledSpectrums(char* fname);

#endif
