#ifndef _WAVELET_INCLUDES_H_
#define _WAVELET_INCLUDES_H_

#include <cmath>
#define USESTRUCT

/* pour la bibliotheque utilitaires */

#include <Utility/Includes.h>
#include <Utility/Mode.h>
#include <Utility/Debugger.h>
#include <Utility/Memory.h>
#include <Utility/Statistic.h>
#include <Utility/CounterStatistic.h>
#include <Utility/Utility.h>

/* pour la bibliotheque wavelet */

#define SQRT3 1.7320508
#define SQRT5 2.236068
#define SQRT7 2.6457513

#define MAX_M  4
#define MAX_M_x_MAX_M  16

#define L 5

#define nf_2v 4

#define nf_4v 16

#define ABS(a)          (((a)<0) ? -(a) : (a))

typedef double sWaveletData;

#define WAVELETERROR 2000
#define INVALIDVANISHINGMOMENT 2001
#define INVALIDORDERSPECIFICATION 2002

#endif
