#ifndef _WAVELET_WAVELET_H_
#define _WAVELET_WAVELET_H_

#include "Wavelet/Includes.h"

extern int get_two_power_J(int J);
extern sWaveletData Phi(int M,sWaveletData u);
extern sWaveletData MultiWavelet_basis_1v(int J, int M, int k, sWaveletData u);
extern sWaveletData MultiWavelet_basis_2v(int J,int M,int k,sWaveletData u,int N,int l,sWaveletData v);
extern sWaveletData MultiWavelet_basis_4v(int J,int M,int k,sWaveletData u,int N,int l,sWaveletData v,
				    int O, int m, sWaveletData s, int P, int n, sWaveletData t);
extern void push_1v(int M,sWaveletData *parent,sWaveletData *Le,sWaveletData *R);
extern void pull_1v(int M,sWaveletData *parent,sWaveletData *Le,sWaveletData *R);
extern void push_2v(int M,sWaveletData *parent,sWaveletData *SW,sWaveletData *NW,
		    sWaveletData *SE,sWaveletData *NE);
extern void pull_2v(int M,sWaveletData *parent,sWaveletData *SW,sWaveletData *NW,
		    sWaveletData *SE,sWaveletData *NE);

#endif
