#include "FlMainWindow.h"

#include "Spectral.h"
#include "fl_float_input.h"
#include "include_filtre.h"

void FlMainWindow::transfo(){
  //cout << __FUNCTION__ << " : debut" << endl;

  //ImageRGBPixel p;
  traitement.equalize();
  aff_image();

}

void FlMainWindow::s_valid_set_polygons(void *data){
  ENTERINGFUNCTION;
  FlMainWindow::MainWindow()->validpolygon(data);
  traitement.select_eclair ^= /*traitement.select_eclair*/ (glIsList(MainWindow()->imageList));

    //   if (glIsList(MainWindow()->imageList)){
    // // //     if(traitement.select_eclair){
    // //       if(FlMainWindow::MainWindow()->traitement.currentPolygon_eclair.size() > 2){
    // // 	!(FlMainWindow::MainWindow()->traitement.currentPolygon_eclair);
    // // 	FlMainWindow::MainWindow()->traitement.polygons_eclair.push_back(FlMainWindow::MainWindow()->traitement.currentPolygon_eclair);
      
    // // 	fresh_f();
    // //       }
    // //       transfo();  
    //       traitement.select_eclair = false;
    //     }
    //     else{
    // //       if(FlMainWindow::MainWindow()->traitement.currentPolygon_ombr.size() > 2){
    // // 	!(FlMainWindow::MainWindow()->traitement.currentPolygon_ombr);
    // // 	FlMainWindow::MainWindow()->traitement.polygons_ombr.push_back(FlMainWindow::MainWindow()->traitement.currentPolygon_ombr);
    // // // 	fresh_f();
    // //       }
    //       traitement.select_eclair = true;
    //     }
    //     vector<Polygon>::iterator it;
    //     for(it = traitement.polygons_ombr.begin();it != traitement.polygons_ombr.end();it++){
    //       it->init_color(1.,0.,0.);
    //     }
    //     FlMainWindow::MainWindow()->g_ombr->redraw();
    //     FlMainWindow::MainWindow()->g_eclair->redraw();
    //     FlMainWindow::MainWindow()->g_transf->redraw();
    //     FlMainWindow::MainWindow()->imageViewer->redraw();
    //   }
    EXITINGFUNCTION;
}

void FlMainWindow::s_equalize(void *data){
  ENTERINGFUNCTION;

  if (glIsList(MainWindow()->imageList)){
    s_valid_set_polygons(data);
    FlMainWindow::MainWindow()->transfo();
  }
  EXITINGFUNCTION;
}

void FlMainWindow::s_histogram(void *data){
  FlMainWindow::MainWindow()->fresh_f();
}


void FlMainWindow::s_load_polygons(void* data){
  FlMainWindow::MainWindow()->information("loading polygons");
  char* fname = fl_file_chooser("Pick polygon file to load","*.pol","");
  if (fname != NULL) {
    traitement.load_polygons(fname);
    //MainWindow()->fresh_f();
  }
  FlMainWindow::MainWindow()->information("polygons loaded");
}

void FlMainWindow::s_save_polygons(void* data){
  FlMainWindow::MainWindow()->information("saving polygons");
  char* fname = fl_file_chooser("Pick polygon file to save","*.pol","");
  if (fname != NULL) {
    traitement.save_polygons(fname);
  }
  FlMainWindow::MainWindow()->information("polygons saved");
}

void FlMainWindow::s_clear_polygons(void* data){
  traitement.clear_polygons();
  FlMainWindow::MainWindow()->information("polygons cleared");
  FlMainWindow::MainWindow()->imageViewer->redraw();
}

void FlMainWindow::s_fill_hole(void* data){
  int r,g,b;
  r = floor(fl_float_input("Rouge",0));
  g = floor(fl_float_input("Vert",0));
  b = floor(fl_float_input("Bleu",0));
  traitement.fill_hole(r,g,b);
  //MainWindow()->fresh_f();
  aff_image();
  FlMainWindow::MainWindow()->information("hole filled");
  FlMainWindow::MainWindow()->imageViewer->redraw();
}

void FlMainWindow::s_load(void* widget,void* data)
{
  ENTERINGFUNCTION;

  currentMode = 0;

  FlMainWindow::MainWindow()->information("loading image");
  FlMainWindow::MainWindow()->coordinate("select image file to load");

  char* fname = fl_file_chooser("Pick an image file to load","*.tga","");
  if (fname != NULL) {
    /* loading image file */

    FlMainWindow::MainWindow()->coordinate("loading rgb image");
    //MainWindow()->traitement.transformed_image() = MainWindow()->grayImage = MainWindow()->normalizedImage = MainWindow()->traitement.initial_image() = loadImageRGB(fname);

    traitement.load(fname);


//     MainWindow()->init_traitement.viewed_image()(&(MainWindow()->traitement.initial_image()));
//     grayf = &grayImage;
//     rgbf = &(traitement.transformed_image();
    

    int x,y;
//     MainWindow()->traitement.f_ombr_r.clear();
//     MainWindow()->traitement.f_eclair_r.clear();
//     MainWindow()->traitement.f_transf_r.clear();
//     MainWindow()->traitement.f_ombr_g.clear();
//     MainWindow()->traitement.f_eclair_g.clear();
//     MainWindow()->traitement.f_transf_g.clear();
//     MainWindow()->traitement.f_ombr_b.clear();
//     MainWindow()->traitement.f_eclair_b.clear();
//     MainWindow()->traitement.f_transf_b.clear();
    MainWindow()->traitement.f_ombr_y.clear();
    MainWindow()->traitement.f_eclair_y.clear();
    MainWindow()->traitement.f_transf_y.clear();

    MainWindow()->traitement.polygons_ombr.clear();
    MainWindow()->traitement.currentPolygon_ombr.clear();
    MainWindow()->traitement.polygons_eclair.clear();
    MainWindow()->traitement.currentPolygon_eclair.clear();
    traitement.select_eclair = false;

    for(y = 0;y < MainWindow()->traitement.initial_image().Height();y++)
      for(x = 0;x < MainWindow()->traitement.initial_image().Height();x++){
// 	MainWindow()->traitement.f_eclair_r += ((double) (( (MainWindow()->traitement.initial_image()))[y][x][0])) / ((double)255);
// 	MainWindow()->traitement.f_eclair_g += ((double) (( (MainWindow()->traitement.initial_image()))[y][x][1])) / ((double)255);
// 	MainWindow()->traitement.f_eclair_b += ((double) (( (MainWindow()->traitement.initial_image()))[y][x][2])) / ((double)255);
	MainWindow()->traitement.f_eclair_y += Spectral::get_y(( (MainWindow()->traitement.initial_image()))[y][x]);
      }
    /* initialize orthographic camera */

    init_camera();
    aff_image();

    FlMainWindow::MainWindow()->g_ombr->redraw();
    FlMainWindow::MainWindow()->g_eclair->redraw();
    FlMainWindow::MainWindow()->g_transf->redraw();

    FlMainWindow::MainWindow()->information("initial image");
  
  }


  EXITINGFUNCTION;
} /* void FlMainWindow::s_load(void* data) */


void FlMainWindow::s_initial(void* widget,void* data){
  FlMainWindow::MainWindow()->information("loading initial image");
  traitement.initial();
  //MainWindow()->fresh_f();
  aff_image();
  FlMainWindow::MainWindow()->information("initial image");
  //aff_graph();
}

void FlMainWindow::s_modified(void* widget,void* data){
  FlMainWindow::MainWindow()->information("loading modified image");
  traitement.modified();
  //MainWindow()->fresh_f();
  aff_image();
  FlMainWindow::MainWindow()->information("modified image");
  //aff_graph();
}

void FlMainWindow::s_normalize(void* widget,void* data){
  FlMainWindow::MainWindow()->information("computing normalized image");

//   if(traitement.viewed_image() != &normalizedImage){
//     cout << (int)traitement.initial_image()[100][100][0] << " " << (int)traitement.initial_image()[100][100][1] << " " << (int)traitement.initial_image()[100][100][2] <<endl;
//     ImageRGBf tmp1 = Normalize(traitement.initial_image());cout << tmp1[100][100][0] << " " << tmp1[100][100][1] << " " << tmp1[100][100][2] <<endl;
//     ImageRGBf tmp2 = tmp1 * 255.;cout <<tmp2[100][100][0] << " " << tmp2[100][100][1] << " " << tmp2[100][100][2] <<endl;
//     normalizedImage = toRGB(tmp2);cout << (int)normalizedImage[100][100][0] << " " << (int)normalizedImage[100][100][1] << " " << (int)normalizedImage[100][100][2] <<endl;
    ImageRGBf im_tmp(traitement.viewed_image()->Width(),traitement.viewed_image()->Height(),3);
    double r,g,b;
    double taille;
    taille = traitement.viewed_image()->Width() * traitement.viewed_image()->Height();
    r = g = b = 0;
    vector<Polygon>::iterator it;
    bool appartient;
//     if(! traitement.select_eclair) {
    if(traitement.polygons_eclair.empty()) {
      traitement.normalize();
//       traitement.polygons_ombr.clear();
//       traitement.polygons_eclair.clear();
//       traitement.currentPolygon_ombr.clear();
//       traitement.currentPolygon_eclair.clear();
   }
    else{
      taille = 0;
      for(int i = 0;i < traitement.viewed_image()->Height();i++){
	for(int j = 0;j < traitement.viewed_image()->Width();j++){
	  appartient = false;
	  for(it = traitement.polygons_ombr.begin() ; (it != traitement.polygons_ombr.end()) && (!appartient) ; it++)
	    appartient = ((*it)(j,i));
	  if(appartient){
	    ImageRGBPixel po = (*traitement.viewed_image())[i][j];
	    float pn[3];	  
	    float tmp = po[0] + po[1] + po[2];
	    if(tmp > 0){
	      pn[0] = ((float)(po[0])) / tmp;
	      pn[1] = ((float)(po[1])) / tmp;
	      pn[2] = ((float)(po[2])) / tmp;
	  }
	    else{
	      pn[0] = pn[1] = pn[2] = 0;
	    }
	    r += pn[0];
	    g += pn[1];
	    b += pn[2];
	    taille++;
	    // 	cout << "pn[0] = " << pn[0] << " , r = " << r << endl;
	    im_tmp[i][j] = ImageRGBfPixel(pn,3);
	    //normalizedImage[i][j] = Spectral::normalize((*traitement.viewed_image())[i][j]);
	  }
	}
      }

//     cout << "normalisation partielle : taille = " << taille << " , r = " << r << " , g = " << g << " , b = " << b << endl;//getchar();

      for(int i = 0;i < traitement.viewed_image()->Height();i++){
	for(int j = 0;j < traitement.viewed_image()->Width();j++){
	  appartient = false;
	  for(it = traitement.polygons_ombr.begin() ; (it != traitement.polygons_ombr.end()) && (!appartient) ; it++)
	    appartient = ((*it)(j,i));
	  if(appartient){
	    unsigned char pnc[3];
	    ImageRGBfPixel po = im_tmp[i][j];
	    pnc[0] = (unsigned char)floor((po[0] * 255. * taille) / (3. * (double)r));
	    pnc[1] = (unsigned char)floor((po[1] * 255. * taille) / (3. * (double)g));
	    pnc[2] = (unsigned char)floor((po[2] * 255. * taille) / (3. * (double)b));
	    traitement.normalizedImage[i][j] = ImageRGBPixel(pnc,3);
	    //traitement.normalizedImage[i][j] = Spectral::normalize((*traitement.viewed_image())[i][j]);
	  }
	  else{
	    traitement.normalizedImage[i][j] = (*traitement.viewed_image())[i][j];
	  }
	}
      }

//       traitement.polygons_ombr.clear();
//       traitement.polygons_eclair.clear();
//       traitement.currentPolygon_ombr.clear();
//       traitement.currentPolygon_eclair.clear();
    }
//     ImageRGBf tmp = Normalize(*traitement.viewed_image()) * 255.;
//     traitement.modifiedImage = traitement.normalizedImage = toRGB(tmp);
    traitement.viewedImage = traitement.modifiedImage = &(traitement.normalizedImage);
    traitement._color_modified = traitement.color_viewed();
    //MainWindow()->fresh_f();
    aff_image();
    FlMainWindow::MainWindow()->information("modified image");
    //aff_graph();
//   }
}

void FlMainWindow::s_gray(void* widget,void* data){
  FlMainWindow::MainWindow()->information("computing luminosity image");
  if(traitement.color_viewed()){
//     ImageGRAYf tmp =  toGRAYf(*traitement.viewed_image());
//     traitement.modifiedImage = grayImage = toRGB(tmp);
    traitement.gray();
    //MainWindow()->fresh_f();
    aff_image();
    //aff_graph();
  }
  FlMainWindow::MainWindow()->information("modified image");
}

void FlMainWindow::s_load_modified(void* widget,void* data){
  ENTERINGFUNCTION;
  unsigned int x,y;

  FlMainWindow::MainWindow()->information("load image");
  FlMainWindow::MainWindow()->coordinate("select an image file to load");

  char* fname = fl_file_chooser("Select an image file to load as modidfied image","*.tga","");
  if (fname != NULL) {
    /* loading image file */
    

   if(!traitement.load_modified(fname)){
      return;
    }

    FlMainWindow::MainWindow()->information("loading modified image");

    MainWindow()->traitement.f_ombr_y.clear();
    MainWindow()->traitement.f_eclair_y.clear();
    MainWindow()->traitement.f_transf_y.clear();

//     MainWindow()->traitement.polygons_ombr.clear();
//     MainWindow()->traitement.currentPolygon_ombr.clear();
//     MainWindow()->traitement.polygons_eclair.clear();
//     MainWindow()->traitement.currentPolygon_eclair.clear();
    
    for(y = 0;y < MainWindow()->traitement.transformed_image().Height();y++){
      for(x = 0;x < MainWindow()->traitement.transformed_image().Height();x++){
	MainWindow()->traitement.f_eclair_y += MainWindow()->traitement.transformed_image()[y][x][0];
      }
    }
    
    aff_image();

    FlMainWindow::MainWindow()->g_ombr->redraw();
    FlMainWindow::MainWindow()->g_eclair->redraw();
    FlMainWindow::MainWindow()->g_transf->redraw();
    FlMainWindow::MainWindow()->information("modified image");
  }
}

void FlMainWindow::s_diviz(void* widget,void* data){
  FlMainWindow::MainWindow()->information("computing divized image");
  ((FlMainWindow*)widget)->diviz(data);
  FlMainWindow::MainWindow()->information("modified image");
}

void FlMainWindow::s_undiviz(void* widget,void* data){
  FlMainWindow::MainWindow()->information("computing divized image");
  ((FlMainWindow*)widget)->undiviz(data);
  FlMainWindow::MainWindow()->information("modified image");
}

void FlMainWindow::s_mult(void* widget,void* data){
  FlMainWindow::MainWindow()->information("computing multiplied image");
  ((FlMainWindow*)widget)->mult(data);
  FlMainWindow::MainWindow()->information("modified image");
}

void FlMainWindow::s_double_lum(void* widget,void* data){
  FlMainWindow::MainWindow()->information("computing double luminosity image");
  ((FlMainWindow*)widget)->double_lum(data);
  FlMainWindow::MainWindow()->information("modified image");
}

void FlMainWindow::diviz(void* data){
//   if(traitement.select_eclair){
//     int r = floor(fl_float_input("Rouge",0));
//     int g = floor(fl_float_input("Vert",0));
//     int b = floor(fl_float_input("Bleu",0));
// //   cout << "FlMainWindow::diviz : r = " << r << " g = " << g << " b = " << b << endl;
//     traitement.diviz(r,g,b);    
//   }
//   else{
    traitement.diviz();
//   }
  //fresh_f();
  aff_image();
}

void FlMainWindow::undiviz(void* data){
  traitement.undiviz();
  //fresh_f();
  aff_image();
}

void FlMainWindow::mult(void* data){
  traitement.mult();
  //fresh_f();
  aff_image();
}

void FlMainWindow::double_lum(void* data){
  traitement.double_lum();
  //fresh_f();
  aff_image();
}

void FlMainWindow::s_selective_filter(void* widget,void* data){
  FlMainWindow::MainWindow()->information("computing filtred image with selective filter");
  ((FlMainWindow*)widget)->selective_filter(data);
  FlMainWindow::MainWindow()->information("modified image");
}

void FlMainWindow::selective_filter(void* data){
  if (!traitement.loaded()){
    return;
  }

  unsigned int f = floor(fl_float_input("Parametre du filtre",1));
  if(f < 1)
    f = 1;
  
  traitement.selective_filter(f);

  //MainWindow()->fresh_f();
  aff_image();
}

void FlMainWindow::s_gradient(void* widget,void* data){
  FlMainWindow::MainWindow()->information("computing gradient image");
  ((FlMainWindow*)widget)->gradient(data);
  FlMainWindow::MainWindow()->information("modified image");
}

void FlMainWindow::gradient(void* data){
  if (!traitement.loaded()){
    return;
  }
  float f = floor(fl_float_input("Sensibilite du gradient",1));
  traitement.gradient(f);
  //MainWindow()->fresh_f();
  aff_image();
}

void FlMainWindow::s_aniso_diff(void* widget,void* data){
  FlMainWindow::MainWindow()->information("computing filtred image with anisotropic diffusion");
  ((FlMainWindow*)widget)->aniso_diff(data);
  FlMainWindow::MainWindow()->information("modified image");
}

void FlMainWindow::aniso_diff(void* data){
  if (!traitement.loaded()){
    return;
  }
  int option,iter;
  float k,l;
  iter = fl_int_input("Iterations",1);
  option = fl_int_input("Fonction de diffusion : 1 = gaussienne , 2 = hyperbolique",0);
  if(option > 0){
    k = fl_float_input("Kappa",100);
    l = fl_float_input("Lambda",.25);
  }
  traitement.aniso_diff(iter,option,k,l);
  //MainWindow()->fresh_f();
  aff_image();
}

void FlMainWindow::s_gauss_filter(void* widget,void* data){
//   cout << "s_gauss_filter" << endl;
  FlMainWindow::MainWindow()->information("computing filtred image with gaussian filter");
  ((FlMainWindow*)widget)->gauss_filter(data);
  FlMainWindow::MainWindow()->information("modified image");
}

void dessine_map(ImageRGB &dest,bool* t1){

  int h = dest.Height();
  int w = dest.Width();

  unsigned char r_tab[3] = {255,0,0};
  ImageRGBPixel r_p(r_tab,3);
  unsigned char b_tab[3] = {0,0,255};
  ImageRGBPixel b_p(b_tab,3);

  int y,x;

  for(y = 0;y < h;y++){//,t1++){
    for(x = 0;x < w;x++,t1++){
      if(*t1){
	dest[y][x] = r_p;
      }
      else{
	dest[y][x] = b_p;
      }
    }
  }
}

void FlMainWindow::gauss_filter(void* data){
  if (!traitement.loaded()){
    return;
  }

  int iter = fl_float_input("Iterations",1);
  traitement.gauss_filter_split(iter);
  //MainWindow()->fresh_f();
  aff_image();
}

void FlMainWindow::s_push_image(void* widget,void* data){
  FlMainWindow::MainWindow()->information("pushing image");
  traitement.push();
  FlMainWindow::MainWindow()->information("pushed image");
}

void FlMainWindow::s_pushed_image(void* widget,void* data){
  FlMainWindow::MainWindow()->information("loading pushed image");
  ((FlMainWindow*)widget)->pushed_image(data);
  FlMainWindow::MainWindow()->information("pushed image");
}

void FlMainWindow::pushed_image(void* data){
  traitement.pushed();
  //MainWindow()->fresh_f();
  aff_image();
}



#if(0)
  if(currentMode){
    currentMode = 0;
    group->hide();

    
    delete group;
    delete window1;
    delete window2;
    delete window3;
    delete window4;
    delete g_ombr;
    delete g_eclair;
    delete g_transf;

    traitement.f_ombr_y.clear();
    traitement.f_eclair_y.clear();
    traitement.f_transf_y.clear();
    
    group = new Fl_Group(0,0,w(),h());
    {
      
      
      int h_ = h() - 20;
      int c = h_ / 3;
      int d = w() - c;
      
      imageViewer = new FlGlImageViewer(	0	,0      ,d    	,h_);
      g_ombr	= new graph(		d	,0	,c	,c	,'h'	,0.,0.,0.	,&(traitement.f_ombr_y));
      g_eclair	= new graph(		d	,c	,c	,c	,'h'	,0.,0.,0.	,&(traitement.f_eclair_y));
      g_transf	= new graph(		d	,2 * c	,c	,c	,'f'	,0.,0.,0.	,&(traitement.f_transf_y));
      
    }
    group->end();
    
    end();
    resizable(group);

    //group->show();
  }

  else{
    currentMode = 1;
    group->hide();
   
    box(FL_UP_BOX);
    labelsize(12);
    user_data((void*)(this));
    
    
    delete group;
    delete g_ombr;
    delete g_eclair;
    delete g_transf;

    traitement.f_ombr_y.clear();
    traitement.f_eclair_y.clear();
    traitement.f_transf_y.clear();
    
    group = new Fl_Group(0,0,w(),h());
    {
      
      int c = h() / 3;
      int d = w() - c;
      int hh = h() / 2;
      int ww = d / 2;
      
      image1 = traitement.viewed_image();
      
      static ImageRGB im2,im3,im4;
      
      image2 = &im2;
      image3 = &im3;
      image4 = &im4;
      
      im2 = ImageRGB(traitement.viewed_image()->Width(),traitement.viewed_image()->Height(),3);
      im3 = ImageRGB(traitement.viewed_image()->Width(),traitement.viewed_image()->Height(),3);
      im4 = ImageRGB(traitement.viewed_image()->Width(),traitement.viewed_image()->Height(),3);
      
      gray(*traitement.viewed_image(),im2);
      filter(im2,im3,1);
      diviz(im2,im3,im4);


      window1 = new Fl_Gl_Window(	0	,0      ,ww    	,hh);
      window2 = new Fl_Gl_Window(	ww	,0      ,ww    	,hh);
      window3 = new Fl_Gl_Window(	0	,hh     ,ww    	,hh);
      window4 = new Fl_Gl_Window(	ww	,hh     ,ww    	,hh);
      
      g_ombr	= new graph(		d	,0	,c	,c	,'h'	,0.,0.,0.	,&(traitement.f_ombr_y));
      g_eclair	= new graph(		d	,c	,c	,c	,'h'	,0.,0.,0.	,&(traitement.f_eclair_y));
      g_transf	= new graph(		d	,2 * c	,c	,c	,'f'	,0.,0.,0.	,&(traitement.f_transf_y));
      
    }
    group->end();
    
    end();
    resizable(group);
    //group->show();
  }
#endif

