#include "data/MaterialReflectanceSpectrum.h"

sMaterialReflectanceSpectrum::sMaterialReflectanceSpectrum()
{
  _filename[0] = '\0';
  _spectrumName[0] = '\0';
  _spectrumN = 0.;
  _spectrumK = 0.;
  _spectrumType[0] = '\0';
  _spectrumDataSize = 0;
  _spectrumPrice = 0.;
  _meanSpectrumValue = 0.;
}

sMaterialReflectanceSpectrum::sMaterialReflectanceSpectrum(const sMaterialReflectanceSpectrum& v)
{
  strcpy(_filename,v._filename);
  strcpy(_spectrumName,v._spectrumName);
  _spectrumN = v._spectrumN;
  _spectrumK = v._spectrumK;
  strcpy(_spectrumType,v._spectrumType);
  _spectrumDataSize = v._spectrumDataSize;
  _spectrumPrice = v._spectrumPrice;
  _meanSpectrumValue = v._meanSpectrumValue;
}

sMaterialReflectanceSpectrum::~sMaterialReflectanceSpectrum()
{
}

ostream& operator<<(ostream& out,const sMaterialReflectanceSpectrum& ref)
{
  out << "Mrs{" << ref._spectrumName << "," << ref._spectrumDataSize << "," << ref._spectrumPrice << "," << ref._meanSpectrumValue << "}";
  return out;
}
