#include "gui/Labels.h"

char* labels[numberOfLabels];

char* defaultLabels[] = {
  /* labels de la fenetre de generation des tunnels */
  /* indice de depart :: 0 */
  "Creation de tunnel" ,
  "Forme" ,
  "Triangulaire" ,
  "Spherique" ,
  "Plane" ,
  "Une voie" ,
  "Deux voies" ,
  "L : " ,
  "H : " ,
  "l : " ,
  "h : " ,
  "a : " ,
  "Sources" ,
  "Source(s) :" ,
  "Indefinie" ,
  "Centre" ,
  "Milieu" ,
  "Cote" ,
  "Sources symetriques" ,
  "Espacement : " ,
  "Inclinaison : " ,
  "Materiaux" ,
  "Sol(s) :" ,
  "Indefinie" ,
  "Mur(s) :" ,
  "Indefinie" ,
  "Plafond(s) :" ,
  "Indefinie" ,
  "Valider" ,
  "Annuler" ,
  /* labels de la fenetre principale */
  /* indice de depart :: 30 */
  "Fichier de description de tunnel a lire" ,
  "Fichier de description de tunnel a sauver" ,
  "Charger liste de source(s)" ,
  "Sauver liste de source(s)" ,
  "Charger liste de Sol(s)" ,
  "Sauver liste de Sol(s)" ,
  "Charger liste de Mur(s)" ,
  "Sauver liste de Mur(s)" ,
  "Charger liste de plafond(s)" ,
  "Sauver liste de plafond(s)" ,
  /* labels de la fenetre de gestion de liste de sources */
  /* indice de depart :: 40 */
  "Gestion des sources" ,
  "Source(s) :" ,
  "Ajout source..." ,
  "Supp. source..." ,
  "Nouv. liste" ,
  "Valider" ,
  "Annuler" ,
  "Charger source" ,
  /* labels de la fenetre de gestion de liste de materiaux */
  /* indice de depart :: 48 */
  "Gestion des materiaux" ,
  "Sol(s) :" ,
  "Mur(s) :" ,
  "Plafond(s) :" ,
  "Ajout materiau..." ,
  "Supp. materiau..." ,
  "Nouv. liste" ,
  "Valider" ,
  "Annuler" ,
  "Charger materiau" ,
  /* labels de la fenetre de selection de courbe */
  /* indice de depart :: 58 */
  "Selection de courbe de luminance requise" ,
  "Courbe de luminance requise" ,
  "Sel." ,
  "Abcisse :" ,
  "Ordonnee :" ,
  "Charger courbe" ,
  /* labels de la fenetre de selection de spectre */
  /* indice de depart :: 64 */
  "selection de spectre de reflectance de materiau" ,
  "Rho materiau :" ,
  "Sel." ,
  "Abcisse :" ,
  "Ordonnee :" ,
  "Charger spectre" ,
  /* labels de la fenetre de selection de source */
  /* indice de depart :: 70 */
  "selection de source lumineuse" ,
  "Source :" ,
  "Sel." ,
  "Abcisse :" ,
  "Ordonnee :" ,
  "Charger source" ,
  /* labels de la fenetre de parametres de simulation */
  /* indice de depart :: 76 */
  "Parametres de simulation" ,
  "Pre-simulation" ,
  "Seuil d'aire (patch) :" ,
  "Seuil d'aire (source) :" ,
  "Seuil general :" ,
  "Seuil d'erreur :" ,
  "Nb. configuration :" ,
  "Mode de simulation :" ,
  "Emission" ,
  "Reception" ,
  "Base d'ondelettes :" ,
  "Constante" ,
  "Lineaire" ,
  "Simulation finale" ,
  "Seuil d'aire (patch) :" ,
  "Seuil d'aire (source) :" ,
  "Seuil general :" ,
  "Seuil d'erreur :" ,
  "Mode de simulation" ,
  "Emission" ,
  "Reception" ,
  "Base d'ondelettes" ,
  "Lineaire" ,
  "Quadratique" ,
  "Charger..." ,
  "Sauver..." ,
  "Par defaut" ,
  "Valider" ,
  "Annuler" ,
  "Chargement de parametres de simulation" ,
  "Sauvegarde de parametres de simulation" ,
  /* labels du menu */
  /* indice de depart :: 107 */
  "&Fichier" ,
  "&Configurer..." ,
  "&Quitter" ,
  "&Simulation" ,
  "&Parametres..." ,
  "&Lancer" ,
  "&Visualiser" ,
  "Donnees initiales NFF" ,
  "Donnees initiales Surf." ,
  "Resolution" ,
  "&Tunnel" ,
  "&Creer tunnel..." ,
  "&Charger tunnel..." ,
  "&Sauver tunnel..." ,
  "&Source" ,
  "&Charger liste..." ,
  "&Sauver liste..." ,
  "&Gerer liste..." ,
  "&Revetement" ,
  "&Chaussee" ,
  "&Charger liste..." ,
  "&Sauver liste..." ,
  "&Gerer liste..." ,
  "&Mur" ,
  "&Charger liste..." ,
  "&Sauver liste..." ,
  "&Gerer liste..." ,
  "&Plafond" ,
  "&Charger liste..." ,
  "&Sauver liste..." ,
  "&Gerer liste..." ,
  "&Aide" ,
  "&A propos..." ,
  "&Aide..." ,
  "Demarrer-Arreter" ,
  "Exporter resolution" ,
  "Importer resolution" ,
  "Exporter fichier 3d",
  NULL
};

void initialiseDefaultLabels()
{
  int i=0;
  while (defaultLabels[i] != NULL) {
    labels[i] = new char[strlen(defaultLabels[i])+1];
    strcpy(labels[i],defaultLabels[i]);
    i++;
  }
}

void initialiseLabels(const char* fname)
{
  int id = 0;
  ifstream input(fname,ios::in);
  if (!input)
    {
      initialiseDefaultLabels();
    }
  else
    {
      while (input)
	{
	  char line[255];
	  input.getline(line,255,'\n');
	  switch (line[0])
	    {
	    case '/':
	      break;
	    case '\0':
	    case '\n':
	      break;
	    case '\"':
	      labels[id] = new char[strlen(line)-1];
	      line[strlen(line)-1] = '\0';
	      strcpy(labels[id],&(line[1]));
	      id++;
	      break;
	    }
	}
    }
}
